diff -ru dbus-1.1.1.orig/debian/dbus.preinst dbus-1.1.1/debian/dbus.preinst
--- dbus-1.1.1.orig/debian/dbus.preinst	2007-07-18 14:23:16.000000000 +0200
+++ dbus-1.1.1/debian/dbus.preinst	2007-07-18 14:26:13.000000000 +0200
@@ -3,11 +3,12 @@
 set -e
 
 rm_conffile() {
-  CONFFILE="$1"
-  OLD_MD5SUM="$2"
+  PKGNAME="$1"
+  CONFFILE="$2"
   if [ -e "$CONFFILE" ]; then
-   md5sum="$(md5sum "$CONFFILE" | sed -e 's/ .*//')"
-   if [ "$md5sum" != "$OLD_MD5SUM" ]; then
+   md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
+   old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE'{s/ obsolete$//;s/.* //p}\"`"
+   if [ "$md5sum" != "$old_md5sum" ]; then
      echo "Obsolete conffile $CONFFILE has been modified by you."
      echo "Saving as $CONFFILE.dpkg-bak ..."
      mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
@@ -21,7 +22,7 @@
 case "$1" in
 install|upgrade)
   if dpkg --compare-versions "$2" lt "0.50-2"; then
-    rm_conffile "/etc/X11/Xsession.d/75dbus-1-utils_dbus-launch" f16c15c4b018d37ca3ea2b6aba224439
+    rm_conffile dbus-1-utils "/etc/X11/Xsession.d/75dbus-1-utils_dbus-launch"
   fi
 esac
 
